<?php
/**
*
* @package Ultimate SEO URL phpBB SEO
* @version $id: setup_phpbb_seo.php - 9649 06-03-2009 16:28:22 - 0.6.0 dcz $
* @copyright (c) 2006 - 2009 www.phpbb-seo.com
* @license http://www.opensource.org/licenses/rpl.php RPL Public License
*
*/
/**
* @ignore
*/
if (!defined('IN_PHPBB')) {
	exit;
}
/**
* setup_phpbb_seo Class
* www.phpBB-SEO.com
* @package Ultimate SEO URL phpBB SEO
*/
class setup_phpbb_seo {
	/**
	* Do the init
	*/
	function init_phpbb_seo() {
		global $phpEx, $config, $phpbb_root_path;
		// Let's load config and forum urls, mods adding options in the cache file must do it before
		if ($this->check_cache()) {
			foreach($this->cache_config['dynamic_options'] as $optionname => $optionvalue ) {
				if (@is_array($this->cache_config['settings'][$optionname])) {
					$this->seo_opt[$optionname] = array_merge($this->seo_opt[$optionname], $this->cache_config['settings'][$optionname]);
				} elseif ( @isset($this->cache_config['settings'][$optionvalue]) ) {
					$this->seo_opt[$optionvalue] = $this->cache_config['settings'][$optionvalue];
				}
			}
			$this->modrtype = @isset($this->seo_opt['modrtype']) ? $this->seo_opt['modrtype'] : $this->modrtype;
			if ( $this->modrtype > 1 ) { // Load cached URLs
				$this->seo_url['forum'] =& $this->cache_config['forum'];
			}
		}
		// ====> here starts the add-on and custom set up <====

		//  Türkçe karakter düzenlemesi başladı.
		
		$this->url_replace = array(
				'Ğ' => 'g', // Ğ
				'ğ' => 'g', // ğ
				'İ' => 'i', // İ
				'ı' => 'i', // ı
				'Ş' => 's', // Ş
				'ş' => 's', // ş
		);
		
		//  Türkçe karakter düzenlemesi bitti.

		// ===> Custom values Delimiters, Static parts and Suffixes <===
		// ==> Delimiters <==
		// Can be overridden, requires .htaccess update <=
		// Example :
		//	$this->seo_delim['forum'] = '-mydelim'; // instead of the default "-f"

		// ==> Static parts <== 
		// Can be overridden, requires .htaccess update.
		// Example :
		//	$this->seo_static['post'] = 'message'; // instead of the default "post"
		// !! phpBB files must be treated a bit differently !!
		// Example :
		//	$this->seo_static['file'][ATTACHMENT_CATEGORY_QUICKTIME] = 'quicktime'; // instead of the default "qt"
		//	$this->seo_static['file_index'] = 'my_files_virtual_dir'; // instead of the default "resources"

		// ==> Suffixes <==
		// Can be overridden, requires .htaccess update <=
		// Example :
		// 	$this->seo_ext['topic'] = '/'; // instead of the default ".html"

          // Bu değişiklik .htaccess güncellemesi gerektirir ve yapılması zorunlu değildir.
                // Değişiklikten sonra yapılacaklar;
                   // 1) YKP/phpBB SEO/.htaccess/Save the .htaccess: ==> Evet ==> Gönder
                   // 2) YKP/phpBB SEO/.htaccess/ ==> Tüm kodu kopyalayıp anadizindeki .htaccess dosyasına yazdırın.
                
          // Türkçe url düzenlemesi başladı.
          
          if ( strpos($config['default_lang'], 'tr') !== false ) {
             $this->seo_static['user'] = 'uye';
             $this->seo_static['group'] = 'grup';
             $this->seo_static['global_announce'] = 'global-duyurular';
             $this->seo_static['leaders'] = 'ekip';
             $this->seo_static['atopic'] = 'aktif-basliklar';
             $this->seo_static['utopic'] = 'cevaplanmamis-mesajlar';
             $this->seo_static['npost'] = 'yeni-mesajlar';
             $this->seo_static['file_index'] = 'eklentiler';
             $this->seo_static['post'] = 'ileti';
             $this->seo_static['index'] = '';
             $this->seo_static['forum'] = 'forum';
             $this->seo_static['topic'] = 'baslik';
             $this->seo_static['pagination'] = 'sayfa';
			 // Attachment Rewriting Türkçe URL
			 $this->seo_static['file'][ATTACHMENT_CATEGORY_NONE] = 'dosya';
			 $this->seo_static['file'][ATTACHMENT_CATEGORY_IMAGE] = 'resim';
			 $this->seo_static['file'][ATTACHMENT_CATEGORY_THUMB] = 'onizleme';
          }
          // Türkçe url düzenlemesi bitti.

		// Let's make sure that settings are consistent
		$this->check_config();
	}
	// Here start the add-on methods
} // End of the phpbb_seo_modules class 
?>
